ModernLoop Internal API
Apigithub

Create a pull request review (approve, request changes, or comment)

Write operation: mutates state in the upstream service.

curl -X POST "https://api.modernloop.dev/rest/v1/github/repos/string/string/pulls/{number}/reviews" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": 0,  "user": {    "login": "string",    "id": 0  },  "body": "string",  "state": "string",  "commit_id": "string",  "html_url": "string",  "submitted_at": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

owner*string

Repository owner (user or organization)

repo*string

Repository name

number?|

Pull request number

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

event?string

Review action; omit to create a pending review

Value in

  • "APPROVE"
  • "REQUEST_CHANGES"
  • "COMMENT"
body?string

Review summary text

commitId?string

SHA of the commit to review

Response Body

application/json

application/json

application/json

application/json

application/json